PaymentLinkCreateRequest
Request parameters for creating a new payment link.
- amountType: integerFormat: int64required
Amount charged in smallest currency unit.
- currencyType: CurrencyCoderequired
ISO 4217 currency codes (alpha3) supported for payments
- onType: string
_behalf _of max length:100The account on behalf of which to charge.
- paymentType: string | null
_method _configuration Reference to the payment method configuration for the types that customers can use.
- paymentType: array of PaymentMethodType | nullenum
_method _types Payment method types that Checkout Sessions created from this Payment Link can accept.
- billingType: BillingAddressCollectionenum
_address _collection Specify whether Checkout should collect the customer's billing address. Defaults to
auto.values- auto
Checkout will only collect the billing address when necessary.
- required
Checkout will always collect the customer's billing address.
- auto
- customerType: string | nullmax length:100
ID of the Customer to associate with Checkout Sessions created from this Payment Link.
- expiresType: string | nullFormat: date-time
_at Expiry time for the payment link. After this time, the link is no longer available for payment. Single-use links default to 30 days after creation when no expiration is provided. Reusable links have no expiration unless one is provided.
- lineType: array of LineItem | null
_items Properties: 4Details about the products sold or services provided.
- redirectType: string | null
_url max length:1000URL to which the customer should be sent after the payment.
- clientType: string | null
_reference _id A free-form reference from your system, such as a customer or cart ID. Use it to reconcile Checkout Sessions created from this link with your internal records.
- clientType: string | null
_customer _id An identifier of the customer in your system. Required for SEPA payments to associate payments with the customer's virtual IBAN.
- descriptionType: string | null
A free-form description of the payment link.
- livemodeType: boolean
Has the value
truefor live mode orfalsefor test mode. - afterType: AfterCompletion
_completion Properties: 3After completion behavior for the Checkout Session.
- modeType: stringenum
The mode of Checkout Sessions created from this Payment Link.
values- payment
Standard one-time payment.
- setup
Set up a payment method for future use.
- subscription
Create a subscription checkout that collects the first payment and stores a reusable payment method for renewal billing.
- payment
- restrictionsType: PaymentLinkRestrictionsProperties: 1
Settings that restrict the usage of a payment link.
- localeType: Localeenum
The IETF language tag of the locale Checkout is displayed in. If blank or auto, the browser's locale is used.
values- auto
- bg
- bg
- B G - cs
- cs
- C Z - da
- da
- D K - de
- submitType: stringenum
_type Customize Checkout text, such as the submit button, for the type of transaction. If omitted or
auto,payis used.values- auto
Use the default payment wording.
- pay
Use payment wording.
- book
Use booking wording.
- donate
Use donation wording.
- subscribe
Use subscription wording.
- auto

